#
# spec file for package python-gear
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-gear
Version:        0.5.8
Release:        1.2
License:        Apache-2.0
Summary:        Pure Python Async Gear Protocol Library
Url:            http://pypi.python.org/pypi/gear
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/g/gear/gear-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pbr
Requires:       python-extras
Requires:       python-python-daemon >= 2.0.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A pure-Python asynchronous library to interface with Gearman.

%prep
%setup -q -n gear-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst ChangeLog LICENSE AUTHORS
%{python_sitelib}/*
%{_bindir}/geard

%changelog
* Mon Dec  7 2015 tbechtold@suse.com
- Initial packaging (version 0.5.8)
